# Class yii\db\conditions\SimpleCondition

Inheritance | yii\db\conditions\SimpleCondition
Implements | yii\db\conditions\ConditionInterface
Subclasses | yii\db\conditions\LikeCondition
Available since version | 2.0.14
Source Code | https://github.com/yiisoft/yii2/blob/master/framework/db/conditions/SimpleCondition.php

Class SimpleCondition represents a simple condition like `"column" operator value`.

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
__construct() | SimpleCondition constructor | yii\db\conditions\SimpleCondition
fromArrayDefinition() | Creates object by array-definition as described in Query Builder – Operator format guide article. | yii\db\conditions\SimpleCondition
getColumn() |  | yii\db\conditions\SimpleCondition
getOperator() |  | yii\db\conditions\SimpleCondition
getValue() |  | yii\db\conditions\SimpleCondition

## Method Details

__construct() public method

SimpleCondition constructor

public void __construct ( $column, $operator, $value )
$column | mixed | The literal to the left of $operator
$operator | string | The operator to use. Anything could be used e.g. `>`, `<=`, etc.
$value | mixed | The literal to the right of $operator

fromArrayDefinition() public static method

Creates object by array-definition as described in Query Builder – Operator format guide article.

public static $this fromArrayDefinition ( $operator, $operands )
$operator | string | Operator in uppercase.
$operands | array | Array of corresponding operands
throws | yii\base\InvalidArgumentException | if wrong number of operands have been given.

getColumn() public method

public mixed getColumn ( )

getOperator() public method

public string getOperator ( )

getValue() public method

public mixed getValue ( )